# babel-plugin-class-display-name [![Build Status](https://travis-ci.org/ftdebugger/babel-plugin-class-display-name.svg?branch=master)](https://travis-ci.org/ftdebugger/babel-plugin-class-display-name)

After the creation of each class, the plugin manually sets the prototype.name to the class name. This means that after minification class errors still have the correct name.

## Installation

```sh
$ npm install --dev @triptease/babel-plugin-transform-class-prototype-name
```

## Usage

### Via `.babelrc` (Recommended)

**.babelrc**

```json
{
  "plugins": ["@triptease/babel-plugin-transform-class-prototype-name"]
}
```

## Compilation

### In
```javascript
class CustomError extends Error {}
```
### Out

```javascript
class CustomError extends Error {}
CustomError.prototype.name = "CustomError";
```

### After minification

```javascript
class a extends Error {}
a.prototype.name = "CustomError";
```
